# $Revision: 1.32 $, $Date: 2011/02/05 00:02:45 $
Summary:	Generic logging layer
Summary(pl.UTF-8):	Podstawowa warstwa logująca
Name:		vanessa_logger
Version:	0.0.10
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.vergenet.net/linux/vanessa/download/%{name}/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e19a13c5b30556fbae2d8402cab7fa46
URL:		http://www.vergenet.net/linux/vanessa/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generic logging layer that may be used to log to one or more of
syslog, an open file handle or a file name. Though due to to
limitations in the implementation of syslog opening multiple syslog
loggers doesn't make sense. Includes the ability to limit which
messages will be logged based on priorities.

%description -l pl.UTF-8
Wspólna warstwa logująca, która może być użyta do logowania do jednego
lub więcej spośród: sysloga, uchwytu otwartego pliku lub nazwy pliku;
ale z powodu ograniczenia implementacji sysloga otwieranie wielu
loggerów nie ma sensu. Zawiera także możliwość limitowania, które
komunikaty będą logowane, na podstawie priorytetów.

%package devel
Summary:	Headers for vanessa_logger development
Summary(pl.UTF-8):	Pliki nagłówkowe vanessa_logger
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Headers required to develop against vanessa_logger.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia programów używających
vanessa_logger.

%package static
Summary:	Static libraries for vanessa_logger development
Summary(pl.UTF-8):	Biblioteki statyczne vanessa_logger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries to develop against vanessa_logger.

%description static -l pl.UTF-8
Biblioteki statyczne vanessa_logger.

%package sample
Summary:	Example programme that demonstrates vanessa_logger
Summary(pl.UTF-8):	Przykładowy program demonstracyjny do vanessa_logger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description sample
Sample programme with source that demonstrates various features of
vanessa_logger.

%description sample -l pl.UTF-8
Przykładowy program (ze źródłami), który demonstruje różne możliwości
vanessa_logger.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libvanessa*.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/vanessa-logger.pc
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files sample
%defattr(644,root,root,755)
%doc sample/*.c sample/*.h
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/vanessa_logger_sample.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vanessa_logger.spec,v $
Revision 1.32  2011/02/05 00:02:45  zbyniu
- up to 0.0.10

Revision 1.31  2011/01/29 00:07:32  sparky
- dropped pre-cvs changelog

Revision 1.30  2010/06/04 20:06:08  zbyniu
- up to 0.0.8

Revision 1.29  2008/07/27 23:00:44  arekm
- release 2

Revision 1.28  2007-02-12 22:09:19  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.26  2006/09/27 21:25:11  arekm
- up to 0.0.7

Revision 1.25  2004/12/22 01:25:55  zbyniu
- it is not c++; __autoconf (thnx qboosh)

Revision 1.24  2004/12/21 17:41:58  zbyniu
- BR: gcc-c++

Revision 1.23  2004/07/01 16:25:57  zergin
- corrected md5 sum

Revision 1.22  2004/07/01 16:19:59  zergin
- version up
- patch by Zbyniu Krzystolik

Revision 1.21  2004/03/27 20:20:31  mwinkler
- strict deps

Revision 1.20  2003/08/12 09:32:34  qboosh
- direct URLs

Revision 1.19  2003/08/12 09:28:27  qboosh
- 0.0.4, updated URLs, cleanups

Revision 1.18  2003/05/28 13:02:32  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:27:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/08/08 13:25:04  areq
- 0.0.3, STBR
- new %doc

Revision 1.13  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/03/24 23:28:26  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/03/02 06:53:24  kloczek
- release 3: fixed Requires rule in sample subpackage sample.

Revision 1.9  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/12 11:50:37  qboosh
- separated -static, fixed stupid dependencies

Revision 1.7  2002/02/12 11:35:12  kloczek
- release 2.

Revision 1.6  2002/02/12 11:22:08  qboosh
- added pl descriptions, removed sed from BR (required by rpm-build)

Revision 1.5  2002/02/12 02:00:54  kloczek
- adapterized.

Revision 1.4  2002/02/10 03:20:33  blues
- changed group of main package

Revision 1.3  2002/02/10 03:09:05  blues
- added post
- added provides

Revision 1.2  2002/02/10 02:56:44  blues
- files moved to devel
- adapterized
